org.keycloak.protocol.saml

## Class SamlRepresentationAttributes

- java.lang.Object
- - org.keycloak.protocol.saml.SamlRepresentationAttributes

-     public class SamlRepresentationAttributes
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlRepresentationAttributes(Map<String,String> attributes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,String>` | `getAttributes()`
    `String` | `getCanonicalizationMethod()`
    `String` | `getClientSignature()`
    `String` | `getForceNameIDFormat()`
    `String` | `getForcePostBinding()`
    `String` | `getIncludeAuthnStatement()`
    `String` | `getNameIDFormat()`
    `String` | `getSamlServerSignature()`
    `String` | `getSignatureAlgorithm()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          protected Map<String,String> attributes

  - ### Constructor Detail

    - #### SamlRepresentationAttributes

          public SamlRepresentationAttributes(Map<String,String> attributes)

  - ### Method Detail

    - #### getCanonicalizationMethod

          public String getCanonicalizationMethod()

    - #### getAttributes

          protected Map<String,String> getAttributes()

    - #### getSignatureAlgorithm

          public String getSignatureAlgorithm()

    - #### getNameIDFormat

          public String getNameIDFormat()

    - #### getIncludeAuthnStatement

          public String getIncludeAuthnStatement()

    - #### getForceNameIDFormat

          public String getForceNameIDFormat()

    - #### getSamlServerSignature

          public String getSamlServerSignature()

    - #### getForcePostBinding

          public String getForcePostBinding()

    - #### getClientSignature

          public String getClientSignature()

Copyright © 2016 JBoss by Red Hat. All rights reserved.